Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.loading
Class PrivateMLet

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  javax.management.loading.MLet
                      javax.management.loading.PrivateMLet

All Implemented Interfaces:
  Externalizable, MBeanRegistration, MLetMBean, PrivateClassLoader, Serializable

public class PrivateMLet
extends MLet
implements PrivateClassLoader

Since:
  JMX 1.2
Version:
  $Revision: 1.3 $
Author:
  Juha Lindfors.
See Also:
  `ClassLoaderRepository`, Serialized Form

Constructor Summary
`PrivateMLet(URL[] urls, boolean delegateToCLR)`
`PrivateMLet(URL[] urls, ClassLoader parent, boolean delegateToCLR)`
`PrivateMLet(URL[] urls, ClassLoader parent, URLStreamHandlerFactory factory, boolean delegateToCLR)`

Methods inherited from class javax.management.loading.MLet
`addURL, addURL, check, findClass, findLibrary, getLibraryDirectory, getMBeansFromURL, getMBeansFromURL, getURLs, loadClass, loadClass, postDeregister, postRegister, preDeregister, preRegister, readExternal, setLibraryDirectory, writeExternal`

Methods inherited from class java.net.URLClassLoader
`definePackage, findResource, findResources, getPermissions, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.management.loading.MLetMBean
`getResource, getResourceAsStream, getResources`

Constructor Detail

### PrivateMLet

    public PrivateMLet(URL[] urls,
                       boolean delegateToCLR)

### PrivateMLet

    public PrivateMLet(URL[] urls,
                       ClassLoader parent,
                       boolean delegateToCLR)

### PrivateMLet

    public PrivateMLet(URL[] urls,
                       ClassLoader parent,
                       URLStreamHandlerFactory factory,
                       boolean delegateToCLR)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.